> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/layouts/layouts_editor_widgets.md).

# Widgets

Widgets are a core component and are used to display content on a Layout or in a Playlist.

## Overview

* Selection of powerful Widgets to choose from.
* Create content quickly and easily.
* Integrated content from third parties.
* Show dynamic content on screens.
* Select which Modules to make available to other users of the CMS.

All Widgets have an associated Module which tells Xibo what information is required from the User for configuration as to how it should be displayed.

{% hint style="info" %}
Widgets can be disabled/enabled by an Administrator in the **Modules** section of the CMS.
{% endhint %}

Widgets are available from the **Toolbox**:

* Click the top button to view available Widgets.

![Widgets](https://2811002782-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fj0uXhtBdyPyW40TfKTZd%2Fuploads%2Fgit-blob-0d808d70f5cd570e01884a9f43b384b202dfe146%2Fv4_layouts_editor_widgets.png?alt=media)

Widgets can be marked as **Favourites** to appear in their own section for easier selection:

* Click the star icon at the top left of a Widget card.

![Favourite Widgets](https://2811002782-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fj0uXhtBdyPyW40TfKTZd%2Fuploads%2Fgit-blob-46e3b7ca8ebb40f0acb6bbdfce58a64d74dd3344%2Fv4_layouts_editor_widgets_favourites.png?alt=media)

{% hint style="success" %}
Click the star to deselect from the Favourites section.
{% endhint %}

Widgets that have an `>` need to be opened to select from additional Widget templates:

![Widget Clock](https://2811002782-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fj0uXhtBdyPyW40TfKTZd%2Fuploads%2Fgit-blob-5083af28508dbd2cfd9a28e67ff47c796a699bef%2Fv4_layouts_editor_widgets_clock_example.png?alt=media)

Add to Layouts by drag and drop or click in the Widget card to highlight then click on the canvas to add:

* Position and resize.
* Configure from the available options in the **Properties Panel**.

![Clock Configuration](https://2811002782-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fj0uXhtBdyPyW40TfKTZd%2Fuploads%2Fgit-blob-e5eefc18f983855d211039b0601f5cd8136cce3f%2Fv4_layouts_editor_clock_configuration.png?alt=media)

## Further Reading

{% content-ref url="/pages/xuQhXczom7IZrMi4xBws" %}
[Data Widgets](/layouts/layouts_editor_data_widgets.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/layouts/layouts_editor_widgets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
